/* basics */
:root{
  --red:#c00;
  --darkred:#600;
  --darkerred:#200;
  --green:#060;
  --blue:#06f;
  --yellow:#ff0;
  --black:#000;
  --darker:#333;
  --dark:#666;
  --grey:#ccc;
  --white:#fff;
}
*,html{overflow-x:none;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}

/* desktop */
body{font-family:sans-serif;letter-spacing:1.5px;font-size:18px;line-height:24px;font-weight:400;color:var(--white);}
.bodybg{background:url('bg.jpg') no-repeat;background-attachment:fixed;background-size:cover;display:grid;align-items:center;justify-content:center;height:100vh;background-color:var(--yellow);background-blend-mode:luminosity;}
h1{text-align:center;text-transform:uppercase;font-weight:bold;letter-spacing:-4px;text-shadow:0 0 2px var(--black);margin-bottom:1em;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:#960;}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#wrapper{width:auto;height:auto;position:absolute;top:0;display:inline-block;border:2px solid var(--black);transform:perspective(4000px) rotateY(-90deg) translateX(-15px) scale(0.9);transition:all 1s ease-in-out;}
.wrapperfx{box-shadow:5px 0 8px 2px rgba(0,0,0,0.4);border-radius:10px;position:relative;z-index:1;background:rgba(192,118,0,0.9);overflow:hidden;padding:1.5em 2.5em 2.5em 2.5em;}
.rotatein{transform:perspective(4000px) rotateY(-20deg) translateX(-15px) scale(0.9) !important;}
#boxes{padding:1px;margin:1em 0;}
.box{width:60px;height:35px;margin:-0.5px;float:left;font-size:1.5em;text-align:center;padding:20px 0 5px 0;background-color:rgba(0,0,80,0.4);border:2px solid rgba(255,255,255,0.25);background-blend-mode:luminosity;border-radius:50%;transition:all 0.3s ease-in-out;}
.slot{background-color:rgba(0,0,0,0.6);margin-bottom:0.25em;cursor:pointer;}
.slot:hover{padding-top:10px;padding:25px 0 0 0;}
.button{width:8em;float:left;font-size:0.8em;text-transform:uppercase;margin:6px 0 2px 0;padding:6px 8px 8px 8px;border:4px solid var(--dark);border-radius:30px;text-align:center;cursor:pointer;transition:all 0.3s ease-in-out;}
.button::first-letter{font-weight:bold;border-bottom:2px solid currentColor;}
.btnnew{background-color:var(--darker);color:var(--white);}
.btnnew:hover{background-color:var(--black);}
.btnhnt{float:right;background-color:var(--darker);color:var(--white);}
.btnhnt:hover{background-color:var(--black);}
#info{width:4.5em;height:1.5em;padding:0 0.5em;font-weight:bold;text-shadow:0 0 8px var(--black);margin-top:0.75em;float:left;}
#plr{width:3em;height:1em;border:4px solid var(--darker);border-radius:2em;float:left;padding:0 0.5em;transition:all 0.3s ease-in-out;}
.pl1{background-color:var(--yellow);color:var(--black);}
.pl2{background-color:var(--blue);color:var(--white);}
.hint{background-color:var(--green);}
.slotoff{background-color:var(--darkred);}
.win{background-color: var(--white);color:var(--black);}